=== contrib/mbedtls/docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.8
# by the following command:
#
#    pip-compile requirements.in
#
alabaster==0.7.13
    # via sphinx
babel==2.15.0
    # via sphinx
breathe==4.35.0
    # via -r requirements.in
certifi==2024.7.4
    # via requests
charset-normalizer==3.3.2
    # via requests
click==8.1.7
    # via readthedocs-cli
docutils==0.20.1
    # via
    #   breathe
    #   sphinx
    #   sphinx-rtd-theme
idna==3.7
    # via requests
imagesize==1.4.1
    # via sphinx
importlib-metadata==8.0.0
    # via sphinx
jinja2==3.1.5
    # via sphinx
markdown-it-py==3.0.0
    # via rich
markupsafe==2.1.5
    # via jinja2
mdurl==0.1.2
    # via markdown-it-py
packaging==24.1
    # via sphinx
pygments==2.18.0
    # via
    #   rich
    #   sphinx
pytz==2024.1
    # via babel
pyyaml==6.0.1
    # via readthedocs-cli
readthedocs-cli==4
    # via -r requirements.in
requests==2.32.3
    # via
    #   readthedocs-cli
    #   sphinx
rich==13.7.1
    # via readthedocs-cli
snowballstemmer==2.2.0
    # via sphinx
sphinx==7.1.2
    # via
    #   breathe
    #   sphinx-rtd-theme
    #   sphinxcontrib-jquery
sphinx-rtd-theme==2.0.0
    # via -r requirements.in
sphinxcontrib-applehelp==1.0.4
    # via sphinx
sphinxcontrib-devhelp==1.0.2
    # via sphinx
sphinxcontrib-htmlhelp==2.0.1
    # via sphinx
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.3
    # via sphinx
sphinxcontrib-serializinghtml==1.1.5
    # via sphinx
typing-extensions==4.12.2
    # via rich
urllib3==2.2.2
    # via requests
zipp==3.19.2
    # via importlib-metadata
