=== source/tools/i18n/requirements.txt ===
babel~=2.12
click~=8.1
dennis~=1.1
lxml~=4.5
