=== source/tools/spirv/requirements.txt ===
PyYAML>=5.4.1
