=== third_party/rust/jsparagus/requirements.txt ===
## The following requirements were added by pip freeze:
entrypoints==0.3
flake8==3.7.9
html5lib==1.0.1
mccabe==0.6.1
mypy==0.770
mypy-extensions==0.4.3
pycodestyle==2.5.0
pyflakes==2.1.1
six==1.11.0
typed-ast==1.4.1
typing-extensions==3.7.4.1
webencodings==0.5.1
