=== build_tools/SCons/test/default_env/SConstruct ===
env = Environment(
    toolpath=['../../'],
    tools=['default','cxxtest']
    )

env['CXXTEST_SKIP_ERRORS'] = True
env.CxxTest(['src/ThrowNoStd.h'])
env.CxxTest(['src/AborterNoThrow.h'])
env.CxxTest(['src/Comments.h'])
