=== debian/changelog ===
0ad (0.27.1-3) unstable; urgency=medium

  * Avoid running flaky testsuite on i386. (Closes: #1116013)

 -- Vincent Cheng <vcheng@debian.org>  Tue, 23 Sep 2025 03:20:30 -0700

0ad (0.27.1-2) unstable; urgency=medium

  * Add d/p/fix-nvtt-i386-ftbfs.patch to fix FTBFS on i386.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 13 Aug 2025 19:02:20 -0700

0ad (0.27.1-1) unstable; urgency=medium

  [ Nicolas Auvray ]
  * New upstream release.
    - Drop obsolete patches:
      - d/p/allow-build-with-root.patch
      - d/p/add-missing-header-in-KeyName.patch
      - d/p/fix-mozjs-i386-ftbfs.patch

  [ Ludovic Rousseau ]
  * d/control: replace libcurl4-dev by libcurl4-openssl-dev
  * d/control: remove versioning of libcurl4-*-dev

  [ Vincent Cheng ]
  * Update Standards version to 4.7.2, no changes needed.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 13 Aug 2025 10:55:52 -0700
